// CharHelper.h: interface for the CCharHelper class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHARHELPER_H__A8B91CAA_7E4F_478E_A918_983B5658C3D8__INCLUDED_)
#define AFX_CHARHELPER_H__A8B91CAA_7E4F_478E_A918_983B5658C3D8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCharHelper  
{
public:
	CCharHelper(CaplAPI* api);
	virtual ~CCharHelper();

	enum
	{
		m_eWeightType=0,
		m_eCostType,

		m_eFirstType=m_eWeightType,
		m_eLastType=m_eCostType
	};


	CaplAPI*		m_api;

	BOOL			GetChar(CaplInstance*& ciCharInst,CString& csCharTxt,int iType);
	BOOL			FindDefChar(CaplInstance*& ciCharInst,CString& csCharTxt,int iType);
	BOOL			FindCharByTxt(CaplInstance*& ciCharInst,CString& csCharTxt);

	BOOL			GetCharTypes(aplExtent& aeCharTypes,CStringList& csCharTypes);

	BOOL			GetContexts(aplExtent& aeContexts,CStringList& csContexts);

};

#endif // !defined(AFX_CHARHELPER_H__A8B91CAA_7E4F_478E_A918_983B5658C3D8__INCLUDED_)
